Subject: bug#25038: closed (Re: bug#25038: 25.1; Accent in Windows username prevents Emacs from loading customizations)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 28 Nov 2016 15:47:01 +0000

Your bug report

#25038: 25.1; Accent in Windows username prevents Emacs from loading customizations

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
25038: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=25038
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#25038: 25.1; Accent in Windows username prevents Emacs from loading customizations
From: Eli Zaretskii <[email-masked]>
To: Márton Marczell <[email-masked]>
Cc: [email-masked]
Date: Mon, 28 Nov 2016 17:46:21 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Márton Marczell <[email-masked]>
> Date: Sun, 27 Nov 2016 21:58:02 +0100
> Cc: [email-masked]
> 
> Yes I can reproduce the error from cmd. Command line argument is not even needed. Simply launching
> emacs from the cmd prompt gives the error when the directory path does not have an accented letter in it,
> and succeeds when it does. The default directory for cmd is C:\Users\Márton, that's why I couldn't reproduce
> the error from cmd initially.
> 
> PWD is not defined anywhere. (getenv "PWD") gives back nil in both cases. 
> 
> Running 
> 
> set HOME=D:\a
> runemacs
> 
> makes Emacs create a new .emacs.d folder in D:\a, whereas
> 
> set HOME=D:\á
> runemacs
> 
> makes Emacs create a folder named D:\� which it is then unable to populate, failing with a different error
> ("Cannot open load file: No such file or directory, ~/abbrev_defs")

Thanks, I reproduced this on my system, and fixed the underlying bugs
for the next release (Emacs 25.2).

I'm closing the bug.  Feel free to reopen if you (or someone else)
find left-overs or new problems with the fix.

Subject: 25.1; Accent in Windows username prevents Emacs from loading customizations
From: <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Sat, 26 Nov 2016 19:33:29 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

If I start Emacs by opening (double-clicking) a file that has its extension associated
with Emacs, my user directory is not found, my .emacs is not run
etc. This does not happen if I start emacs from the command-line or by
double-clicking the executable, this way my user directory is correctly found.

Here is the error message:
Warning (initialization): Unable to create `user-emacs-directory' (~/.emacs.d/).
Any data that would normally be written there may be lost!
If you never want to see this message again,
customize the variable `user-emacs-directory-warning'.
Error (initialization): User M rton has no home directory
Warning (initialization): An error occurred while loading ‘nil’:

File error: Opening directory, No such file or directory, c:/Users/M\341rton/AppData/Roaming

To ensure normal operation, you should investigate and remove the
cause of the error in your initialization file.  Start Emacs with
the ‘--debug-init’ option to view a complete error backtrace.

In GNU Emacs 25.1.1 (x86_64-w64-mingw32)
 of 2016-09-17 built on LAPHROAIG
Windowing system distributor 'Microsoft Corp.', version 10.0.14393
Configured using:
 'configure --without-dbus --without-compress-install CFLAGS=-static'

Configured features:
XPM JPEG TIFF GIF PNG RSVG SOUND NOTIFY ACL GNUTLS LIBXML2 ZLIB
TOOLKIT_SCROLL_BARS

Important settings:
  value of $LANG: HUN
  locale-coding-system: cp1250

Major mode: Lisp Interaction

Minor modes in effect:
  shell-dirtrack-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent messages:
For information about GNU Emacs and the GNU system, type C-h C-a.

Load-path shadows:
None found.

Features:
(shadow sort mail-extr emacsbug message rfc822 mml mml-sec epg mm-decode
mm-bodies mm-encode mail-parse rfc2231 mailabbrev gmm-utils mailheader
sendmail rfc2047 rfc2045 ietf-drums mail-utils dired neotree finder-inf
package epg-config sql view thingatpt edmacro kmacro python tramp-sh
tramp tramp-compat auth-source cl-seq eieio eieio-core cl-macs gnus-util
mm-util help-fns mail-prsvr password-cache tramp-loaddefs trampver
ucs-normalize shell pcomplete format-spec advice json map seq byte-opt
gv bytecomp byte-compile cl-extra help-mode easymenu cconv comint ring
cl-loaddefs pcase cl-lib ansi-color time-date mule-util tooltip eldoc
electric uniquify ediff-hook vc-hooks lisp-float-type mwheel dos-w32
ls-lisp disp-table w32-win w32-vars term/common-win tool-bar dnd fontset
image regexp-opt fringe tabulated-list newcomment elisp-mode lisp-mode
prog-mode register page menu-bar rfn-eshadow timer select scroll-bar
mouse jit-lock font-lock syntax facemenu font-core frame cl-generic cham
georgian utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao
korean japanese eucjp-ms cp51932 hebrew greek romanian slovak czech
european ethiopic indian cyrillic chinese charscript case-table epa-hook
jka-cmpr-hook help simple abbrev minibuffer cl-preloaded nadvice
loaddefs button faces cus-face macroexp files text-properties overlay
sha1 md5 base64 format env code-pages mule custom widget
hashtable-print-readable backquote w32notify w32 multi-tty
make-network-process emacs)

Memory information:
((conses 16 267119 13282)
 (symbols 56 26403 0)
 (miscs 48 51 130)
 (strings 32 39093 8709)
 (string-bytes 1 1184359)
 (vectors 16 42461)
 (vector-slots 8 769735 4330)
 (floats 8 247 62)
 (intervals 56 243 17)
 (buffers 976 18))